Bug 805723 - Library needs partial RELRO support added
Library needs partial RELRO support added
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
:
Depends On: 724004
Blocks: 743047
  Show dependency treegraph
 
Reported: 2012-03-21 17:42 EDT by Elio Maldonado Batiz
Modified: 2012-04-27 02:00 EDT (History)
7 users (show)

See Also:
Fixed In Version: nss-3.13.4-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 724004
Environment:
Last Closed: 2012-04-18 15:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Elio Maldonado Batiz 2012-03-21 17:43:26 EDT
Add to the %build section of nss-softokn.spec these lines:

# partial RELRO support as a security enhancement
LDFLAGS+=-Wl,-z,relro
export LDFLAGS
Comment 2 Elio Maldonado Batiz 2012-03-21 17:44:51 EDT
(In reply to comment #1) Should have stated nss.spec above.
Comment 3 Fedora Update System 2012-03-27 21:45:48 EDT
nss-3.13.3-4.fc17,nss-softokn-3.13.3-2.fc17,nss-util-3.13.3-4.fc17,nspr-4.9-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nss-3.13.3-4.fc17,nss-softokn-3.13.3-2.fc17,nss-util-3.13.3-4.fc17,nspr-4.9-2.fc17
Comment 4 Fedora Update System 2012-03-28 01:56:18 EDT
Package nss-3.13.3-4.fc17, nss-softokn-3.13.3-2.fc17, nss-util-3.13.3-4.fc17, nspr-4.9-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nss-3.13.3-4.fc17 nss-softokn-3.13.3-2.fc17 nss-util-3.13.3-4.fc17 nspr-4.9-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4788/nss-3.13.3-4.fc17,nss-softokn-3.13.3-2.fc17,nss-util-3.13.3-4.fc17,nspr-4.9-2.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-03-28 17:52:34 EDT
nspr-4.9-2.fc16,nss-util-3.13.3-3.fc16,nss-softokn-3.13.3-2.1.fc16,nss-3.13.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nspr-4.9-2.fc16,nss-util-3.13.3-3.fc16,nss-softokn-3.13.3-2.1.fc16,nss-3.13.3-2.fc16
Comment 6 Fedora Update System 2012-04-11 13:27:28 EDT
nss-3.13.4-2.fc15,nss-softokn-3.13.4-1.fc15,nspr-4.9-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nss-3.13.4-2.fc15,nss-softokn-3.13.4-1.fc15,nspr-4.9-2.fc15
Comment 7 Fedora Update System 2012-04-18 15:41:30 EDT
nss-3.13.4-2.fc16, nss-softokn-3.13.4-1.fc16, nspr-4.9-2.fc16, nss-util-3.13.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-04-18 18:51:48 EDT
nspr-4.9-2.fc17, nss-softokn-3.13.4-2.fc17, nss-3.13.4-2.fc17, nss-util-3.13.4-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-04-27 02:00:56 EDT
nss-3.13.4-2.fc15, nss-softokn-3.13.4-1.fc15, nspr-4.9-2.fc15, nss-util-3.13.4-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.